package com.jsowell.pile.mapper;

import com.jsowell.pile.domain.OrderInvoiceRecord;
import com.jsowell.pile.dto.QueryInvoiceRecordDTO;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 申请开票Mapper接口
 *
 * @author jsowell
 * @date 2023-04-10
 */
@Repository
public interface OrderInvoiceRecordMapper {
	/**
	 * 查询申请开票
	 *
	 * @param id 申请开票主键
	 * @return 申请开票
	 */
	public OrderInvoiceRecord selectOrderInvoiceRecordById(Integer id);

	/**
	 * 查询申请开票列表
	 *
	 * @param orderInvoiceRecord 申请开票
	 * @return 申请开票集合
	 */
	public List<OrderInvoiceRecord> selectOrderInvoiceRecordList(OrderInvoiceRecord orderInvoiceRecord);

	/**
	 * 新增申请开票
	 *
	 * @param orderInvoiceRecord 申请开票
	 * @return 结果
	 */
	public int insertOrderInvoiceRecord(OrderInvoiceRecord orderInvoiceRecord);

	/**
	 * 修改申请开票
	 *
	 * @param orderInvoiceRecord 申请开票
	 * @return 结果
	 */
	public int updateOrderInvoiceRecord(OrderInvoiceRecord orderInvoiceRecord);

	/**
	 * 删除申请开票
	 *
	 * @param id 申请开票主键
	 * @return 结果
	 */
	public int deleteOrderInvoiceRecordById(Integer id);

	/**
	 * 批量删除申请开票
	 *
	 * @param ids 需要删除的数据主键集合
	 * @return 结果
	 */
	public int deleteOrderInvoiceRecordByIds(Integer[] ids);

	List<OrderInvoiceRecord> selectInvoiceRecordList(QueryInvoiceRecordDTO dto);
}
